/**
 *
 * Triggering Script for triggering
 * custom vc_ready event when visualcomposer
 * is ready.
 *
 * @author jason.xie@victheme.com
 */
(function ($) {

  var VTCoreVisualComposerFrontTimer = setInterval(function () {

    if (typeof window.InlineShortcodeView != 'undefined'
        && typeof window.InlineShortcodeViewContainer != 'undefined') {

      $(window).trigger('vc_ready');

      clearInterval(VTCoreVisualComposerFrontTimer);
      VTCoreVisualComposerFrontTimer = null;
    }

  }, 1000);

})(window.jQuery);